- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# shelvefile – read keys from Python shelve file

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Read keys from Python shelve file.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - |  |  | sets of key value pairs of parameters
file - / required |  |  | path to shelve file
key - / required |  |  | key to query

## Examples

    - name: retrieve a string value corresponding to a key inside a Python shelve file
      debug: msg="{{ lookup('shelvefile', 'file=path_to_some_shelve_file.db key=key_to_retrieve') }}

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list - |  | value(s) of key(s) in shelve file(s)

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Alejandro Guirao <lekumberri@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.